<?php
/**
 * The template for displaying product content in the single-product.php template
 *
 * Override this template by copying it to yourtheme/woocommerce/content-single-product.php
 *
 * @author 		WooThemes
 * @package 	WooCommerce/Templates
 * @version     1.6.4
 */
global $post, $woocommerce, $product;
$attachments 		= $product->get_gallery_attachment_ids();
if( has_post_thumbnail() ){ 				
	$image_id 	 = get_post_thumbnail_id();
	array_unshift( $attachments, $image_id );
	$attachments = array_unique( $attachments );
}
?>
<div id="quickview-container-<?php the_ID(); ?>">
	<div class="quickview-container woocommerce">
		<?php
        global $product;
            /**
             * woocommerce_before_single_product hook
             *
             * @hooked woocommerce_show_messages - 10
             */
             do_action( 'woocommerce_before_single_product' );
        ?>
        <div id="product-<?php the_ID(); ?>" <?php post_class("product single-product"); ?>>
           <div class="single-product-top clearfix">
				<div class="col-lg-5 col-md-5 col-sm-12 col-xs-12">
			        <div id="product_img_<?php echo esc_attr( $post->ID ); ?>" class="product-images loading"  data-vertical="false">
						<div class="product-images-container clearfix thumbnail-bottom">
							<?php if( count( $attachments ) > 0 ){ ?>
							<!-- Image Slider -->
							<div class="slider product-responsive">
								<?php foreach ( $attachments as $key => $attachment ) { ?>
								<div class="item-img-slider">
									<?php  sw_label_sales(); ?>	
									<?php if ($product->is_on_sale()) : ?>

										<?php echo apply_filters('woocommerce_sale_flash', '<span class="onsale">'.esc_html__( 'Sale!', 'shoppystore' ).'</span>', $post, $product); ?>

									<?php endif; ?>
									<a href="<?php echo get_permalink( $post->ID ) ?> "><?php echo wp_get_attachment_image( $attachment, 'shop_single' ); ?></a>
								</div>
								<?php } ?>
							</div>
							<!-- Thumbnail Slider -->
							<?php 
							   do_action('woocommerce_product_thumbnails'); 
							?>
							<?php }else{ ?>
								<?php $image_id = get_post_thumbnail_id(); $image_url = wp_get_attachment_image_src($image_id,'large', true); ?>
								<div class="single-img-product">
									<div class="images">
									<?php if ($product->is_on_sale()) : ?>

										<?php echo apply_filters('woocommerce_sale_flash', '<span class="onsale">'.esc_html__( 'Sale!', 'shoppystore' ).'</span>', $post, $product); ?>

									<?php endif; ?>
									<a title="<?php the_title(); ?>" href="<?php echo get_permalink( $post->ID )  ?>" ><?php the_post_thumbnail('shop_single'); ?></a>
									</div>
								</div>
							<?php } ?>
						</div>	
					</div>
				</div>
				<div class="product-summary col-lg-7 col-md-7 col-sm-12 col-xs-12">
					  
					<?php
						/**
						 * woocommerce_single_product_summary hook
						 *
						 * @hooked woocommerce_template_single_title - 5
						 * @hooked woocommerce_template_single_price - 10
						 * @hooked woocommerce_template_single_excerpt - 20
						 * @hooked woocommerce_template_single_add_to_cart - 30
						 * @hooked woocommerce_template_single_meta - 40
						 * @hooked woocommerce_template_single_sharing - 50
						 */
						do_action( 'woocommerce_single_product_summary' );
					?>
				</div>
           </div><!-- .summary -->
		</div>
        
        <?php do_action( 'woocommerce_after_single_product' ); ?>
        <div class="clearfix"></div>
    </div>
</div>