<?php 
/**
 * Register Widgets
 */

add_action( 'widgets_init', 'sw_plugin_register' );
function sw_plugin_register(){
	register_widget( 'sw_partner_slider_widget' );
	register_widget( 'sw_ourteam_slider_widget' );
	register_widget( 'sw_resp_slider' );
	register_widget( 'sw_testimonial_slider_widget' );
	register_widget( 'sw_instagram_widget' );

	register_widget( 'sw_primary_menu' );
	register_widget( 'sw_vertical_menu' );
}
include_once( plugin_dir_path( __FILE__ ) . 'sw-partner/sw-partner.php' );
include_once( plugin_dir_path( __FILE__ ) . 'sw-portfolio/portfolio.php' );
include_once( plugin_dir_path( __FILE__ ) . 'sw-ourteam/sw-ourteam.php' );
include_once( plugin_dir_path( __FILE__ ) . 'sw-resp-post/sw-resp-slider.php' );
include_once( plugin_dir_path( __FILE__ ) . 'sw-testimonial/sw-testimonial.php' );
include_once( plugin_dir_path( __FILE__ ) . 'sw-instagram/sw-instagram.php' );

include_once( plugin_dir_path( __FILE__ ) . 'sw-widgets.php' );

/**
 * This class handles the Breadcrumbs generation and display
 */
if( class_exists( 'sw_testimonial_slider_widget' ) ){
	  /*
	 * Testimonial
	 *
	 */
	 function yt_testimonial($atts,$content = null) {
		 extract(shortcode_atts(array(
		 'iconleft' =>'',
		 'iconright' =>'',
		 'imgsrc'=>'',
		 'auname'=>'',
		 'auinfo'=>'',
		 'title'=>'',
		 'content'=>'',
		 'class'=>'',
		 'style'=>''
		 ),$atts));
		 if($style == 'style1' || $style == 'style2'){
		 if($iconleft !='' ||$iconright !=''){
			 $iconleft = '<i class="'.esc_attr( $iconleft ).'"></i>';
			 $iconright ='<i class="'.esc_attr( $iconright ).'"></i>';
		 }
		 $html ='<div class="testimonial_'.$style.' '.esc_attr( $class ).'">';
		 $html .='<div class="testimonial_content">';
		 $html .= $iconleft.$content.$iconright;
		 $html .='</div>';
		 $html .='<div class="testimonial_meta">';
			 if($imgsrc !=''){
		 $html .= '<img src ="'.esc_attr( $imgsrc ).'">';
			   }
		 $html .='<div class="testimonial_info"><ul><li>'.esc_html( $auname ).'</li>';
		 if($auinfo !=''){
		 $html .='<li>'.esc_html( $auinfo ).'</li>';
		 }
		 $html .='</ul></div>';
		 $html .='</div></div>';
		 return $html;
		 }
		 /*** testimonial width background ***/
		 if($style == 'bg'){
			 if($iconleft !='' ||$iconright !=''){
			 $iconleft = '<i class="'.esc_attr( $iconleft ).'"></i>';
			 $iconright ='<i class="'.esc_attr( $iconright ).'"></i>';
		 }
		 $html ='<div class="testimonial_'.$style.' '.esc_attr( $class ).'">';
		 if($imgsrc !=''){
		 $html .= '<img src ="'.esc_attr( $imgsrc ).'">';
			   }
		 $html .='<div class="testimonial_content">';
		 $html .= $iconleft.$content.$iconright;
		 $html .='</div>';
		 $html .='<div class="testimonial_meta">';
		 $html .='<div class="testimonial_info"><ul><li>'.esc_html( $auname ).'</li>';
		 if($auinfo !=''){
		 $html .='<li>'.esc_html( $auinfo ).'</li>';
		 }
		 $html .='</ul></div>';
		 $html .='</div></div>';
		 return $html; 
		 }
		 /*** Testimonial width border ***/
		 if($style == 'border'){
			 if($iconleft !='' ||$iconright !=''){
			 $iconleft = '<i class="'.esc_attr( $iconleft ).'"></i>';
			 $iconright ='<i class="'.esc_attr( $iconright ).'"></i>';
		 }
		 $html ='<div class="testimonial_'.$style.' '.esc_attr( $class ).'">';
		 $html .='<div class="testimonial_content">';
		 $html .= $iconleft.$content.$iconright;
		 $html .='</div>';
		 $html .='<div class="testimonial_meta">';
			 if($imgsrc !=''){
		 $html .= '<img src ="'.esc_attr( $imgsrc ).'">';
			   }
		 $html .='<div class="testimonial_info"><ul><li>'.esc_html( $auname ).'</li>';
		 if($auinfo !=''){
		 $html .='<li>'.esc_html( $auinfo ).'</li>';
		 }
		 $html .='</ul></div>';
		 $html .='</div></div>';
		 return $html;
			 
		 }
	 }
	 add_shortcode('testimonial','yt_testimonial');
	 /*
	 * Testimonial Slide
	 *
	 */
	 function yt_testimonial_slide($atts){
		 extract(shortcode_atts(array(
		 'post_type' => 'testimonial',
		 'type' =>'indicators_up',
		 'el_class'=>'',
		 'title'=>'',
		 'columns' => 4,
		 'columns1' => 3,
		 'columns2' => 2,
		 'columns3' => 1,
		 'columns4' => 1,
		 'style_title'=>'',
			'orderby' => '',
			'length'=>'40',
			'order' => '',
			'post_status' => 'publish',
			'numberposts' => 5
		 ),$atts));
	$pf_id = 'testimonial-'.rand().time();
	$i= 0;
	$j= 0;
	$k= 0;
	$column = 12/$columns;
	$column1 = 12/$columns1;
	$column2 = 12/$columns2;
	$column3 =12/$columns3;
	$column4 =12/$columns4;
	$query_args =array( 'posts_per_page'=> $numberposts,'post_type' => 'testimonial','orderby' => $orderby,'order' => $order); 
	$list = new WP_Query($query_args);

	if($type=='indicators_up'){
		$output='<div id="'.$pf_id.'" class="testimonial-slider '.$type.' carousel slide '.$el_class.'" data-interval="0">';
	if($title !=''){
	$output.='<div class="block-title '.$style_title.'">
				<h2>
					<span>'.$title.'</span>
				</h2>
				</div>';
	}
	$output.='<ul class="carousel-indicators">';
				 while ( $list->have_posts() ) : $list->the_post();
					 if( $j % 1 == 0 ) {  $k++;
					 $active = ($j== 0)? 'active' :'';
	$output.='<li class="'.$active.'" data-slide-to="'.($k-1).'" data-target="#'.$pf_id.'"> ';
					}  if( ( $j+1 ) % 1 == 0 || ( $j+1 ) == $numberposts ){
	$output.='</li>';
				
					}
						
					$j++; 
				 endwhile; 
			wp_reset_postdata(); 
	$output.='</ul>';
	$output.='<div class="carousel-inner">';
					while($list->have_posts()): $list->the_post();
				
					global $post;
					$au_name = get_post_meta( $post->ID, 'au_name', true );
					$au_url  = get_post_meta( $post->ID, 'au_url', true );
					$au_info = get_post_meta( $post->ID, 'au_info', true );
					if( $i % 1 == 0 ){ 
					$active = ($i== 0)? 'active' :'';
		$output.='<div class="item '.$active.'">';
		$output.='<div class="row">';
				   } 
		$output.='<div class="item-inner col-lg-12">';
							
		$output.='<div class="client-comment">';
						$text = get_the_content($post->ID);
											$content = wp_trim_words($text, $length);
									$output.= esc_html($content);
		$output.='</div>';
		$output.='<div class="client-say-info">';
		$output.='<div class="name-client">';
		$output.='<h2><a href="#" title="'.esc_attr( $post->post_title ).'">'.esc_html($au_name).'</span></a></h2>
				</div>';
		if($au_info !=''){
		$output.='<div class="info-client">--- '.esc_html($au_info).' ---</div>';
		}
		$output.='</div>';
		$output.='</div>';
				if( ( $i+1 )%1==0 || ( $i+1 ) == $numberposts ){

	$output.='	</div></div>';
	} 
				 $i++; endwhile; wp_reset_postdata(); 
			$output.='</div>';

	$output.='</div>';
		return $output;
	} 
	if($type=='indicators'){
	$output='<div id="'.$pf_id.'" class="testimonial-slider carousel slide '.$el_class.'">';
	if($title !=''){
	$output.='<div class="block-title '.$style_title.'">
				<h2>
					<span>'.$title.'</span>
				</h2>
				</div>';
	}
	$output.='<div class="carousel-inner">';
					while($list->have_posts()): $list->the_post();
				
					global $post;
					$au_name = get_post_meta( $post->ID, 'au_name', true );
					$au_url  = get_post_meta( $post->ID, 'au_url', true );
					$au_info = get_post_meta( $post->ID, 'au_info', true );
					if( $i % $columns == 0 ){ 
					$active = ($i== 0)? 'active' :'';
		$output.='<div class="item '.$active.' col-lg-'.$column.'">';
		$output.='<div class="row">';
				   } 
		$output.='<div class="item-inner">';
							if( has_post_thumbnail() ){
		$output.='<div class="client-comment">';
						$text = get_the_content($post->ID);
											$content = wp_trim_words($text, $length);
									$output.= esc_html($content);
		$output.='</div>';
		$output.='<div class="client-say-info">';
		$output.='<div class="image-client">';
		$output.='<a href="#" title="'.esc_attr( $post->post_title ).'">'.get_the_post_thumbnail($post->ID,'thumbnail').'</a>';
		$output.='</div>';
		$output.='<div class="name-client">';
		$output.='<h2><a href="#" title="'.esc_attr( $post->post_title ).'">'.esc_html($au_name).'</a></h2>
							<p>'.esc_html($au_info).'</p>
						</div>
					</div>';
							}
		$output.='</div>';
				if( ( $i+$columns )%$columns==0 || ( $i+$columns ) == $numberposts ){

	$output.='	</div></div>';
	} 
				 $i++; endwhile; wp_reset_postdata(); 
			$output.='</div>';
	$output.='<ul class="carousel-indicators">';
				 while ( $list->have_posts() ) : $list->the_post();
					 if( $j % $columns == 0 ) {  $k++;
					 $active = ($j== 0)? 'active' :'';
	$output.='<li class="'.$active.'" data-slide-to="'.($k-1).'" data-target="#'.$pf_id.'"> ';
					}  if( ( $j+$columns ) % $columns == 0 || ( $j+$columns ) == $numberposts ){
	$output.='</li>';
				
					}
						
					$j++; 
				 endwhile; 
			wp_reset_postdata(); 
	$output.='</ul>';
	$output.='</div>';
		return $output;
	} 
	
	if($type=='style1'){
		$output ='<div class="widget-testimonial">
		<div class="widget-inner">
			<div class="customersay">
				<h3 class="custom-title">'.$title.'</h3>
			<div id="'.$pf_id.'" class="testimonial-slider carousel slide">
				<div class="carousel-inner">';				
						while($list->have_posts()): $list->the_post();
						global $post;
						$au_name = get_post_meta( $post->ID, 'au_name', true );
						$au_url  = get_post_meta( $post->ID, 'au_url', true );
						$au_info = get_post_meta( $post->ID, 'au_info', true );
						if( $i % 1 == 0 ){ 
						$active = ($i== 0)? 'active' :'';
		$output.='<div class="item '.$active.'">
						<div class="">';
						 } 
		$output.='<div class="item-inner col-lg-12 col-md-12">';
								 if( has_post_thumbnail() ){ 
		$output.='<div class="item-content">
										<div class="item-desc">';
												$text = get_the_content($post->ID);
												$content = wp_trim_words($text, $length);
												$output.= esc_html($content);
		$output.='</div></div>';
									
		$output.='<div class="item-info">
											<h4><span class="author">- '.esc_html($au_name).'</span> - <span class="info">'.esc_html($au_info).'</span></h4>
									</div>';
								  }
		$output.='</div>';
					if( ( $i+1 )%1==0 || ( $i+1 ) == $numberposts ){ 
		$output.='</div></div>';  
					} 
					$i++; endwhile; wp_reset_postdata(); 
		$output.='</div>
				<!-- Controls -->
					<div class="carousel-cl">
						<a class="left carousel-control" href="#'.$pf_id.'" role="button" data-slide="prev"></a>
						<a class="right carousel-control" href="#'.$pf_id.'" role="button" data-slide="next"></a>
					</div>
			</div>
			</div>
		</div>
	</div>';
	return $output;
	} 
	if($type=='style2'){
		  $output='<div id="'.$pf_id.'" class="client-wrapper-b carousel slide '.$el_class.'" data-interval="0">';
		
		$output.='<div class="block-title-bottom">
					<h2>'.$title.'</h2>
					<div class="carousel-cl nav-custom">
						<a class="prev-test fa fa-chevron-left" href="#'.$pf_id.'" role="button" data-slide="prev"><span></span></a>
						<a class="next-test fa fa-chevron-right" href="#'.$pf_id.'" role="button" data-slide="next"><span></span></a>
					</div>
					
				</div>';
		$output.='<div class="carousel-inner">';
					while($list->have_posts()): $list->the_post();
				
					global $post;
					$au_name = get_post_meta( $post->ID, 'au_name', true );
					$au_info  = get_post_meta( $post->ID, 'au_info', true );
					$au_url  = get_post_meta( $post->ID, 'au_url', true );
					if( $i % 1 == 0 ){ 
					$active = ($i== 0)? 'active' :'';
			   $output.='<div class="item '.$active.'">';
				   }   
		$output.='<div class="item-inner col-lg-12">';
		if( has_post_thumbnail() ){
		$output.='<div class="image-client">';
		$output.='<a href="#" title="'.esc_attr( $post->post_title ).'">'.get_the_post_thumbnail($post->ID,'thumbnail').'</a>';
		$output.='</div>';
		
		$output.='<div class="client-say-info">';
		$output.='<div class="client-comment">';
						$text = get_the_content($post->ID);
											$content = wp_trim_words($text, $length);
									$output.= esc_html($content);
		$output.='</div>';
		$output.='<div class="name-client">';
		$output.='<h2><a href="'.$au_url.'" title="'.esc_attr( $post->post_title ).'">'.esc_html($au_name).'</a></h2>
				   </div>
				   <div class="info-client">'.esc_html($au_info).'</div>
			</div>';
							}
		$output.='</div>';
				if( ( $i+1 )%1==0 || ( $i+1 ) == $numberposts ){

	$output.='	</div>';
	} 
				 $i++; endwhile; wp_reset_postdata(); 
			$output.='</div></div>';
			return $output;
		
	}
	}
	add_shortcode('testimonial_slide','yt_testimonial_slide');
}
 
  
 
if( class_exists( 'sw_partner_slider_widget' ) ){
	 /*
	 * OUR BRAND
	 *
	 */
	 function yt_our_brand_shortcode($atts){
		 extract( shortcode_atts( array(
		'title' => '',
		'style_title'=>'',
		'numberposts' => 5,
		'orderby'=>'',
		'order' => '',
		'post_status' => 'publish',
		'columns'=>'',
		'columns1'=>'',
		'columns2'=>'',
		'columns3'=>'',
		'columns4'=>'',
		'interval'=>'',
		'effect'=>'slide',
		'hover'=>'hover',
		'swipe'=>'yes',
		'el_class' => ''
	), $atts ) );
	$tag_id ='sw_partner_slider_'.rand().time();
			$default = array(
				'post_type' => 'partner',
				'orderby' => $orderby,
				'order' => $order,
				'post_status' => 'publish',
				'showposts' => $numberposts
			);
		$list = new WP_Query( $default );

	$output='<div class="'.$el_class.' block-brand">';
	if($title !=''){
	$output.='<div class="block-title '.$style_title.'">';
	if($style_title == 'title3'){
		$wordChunks = explode(" ", $title);
		$firstchunk = $wordChunks[0];
		$secondchunk = $wordChunks[1];
	$output.='<h2> <span>'.$firstchunk.'</span> <span class="text-color"> '.$secondchunk.' </span></h2>';
	}else {
		$output.='<h2>
					<span>'.$title.'</span>
				</h2>';
		}
	}
	$output.='<a class="view-all-brand" href="#" title="View All">'.__("View All",'sw_core').'</a>
			</div>';
	$output.='<div class="block-content">
					<div class="brand-wrapper">
						<ul>';
					while($list->have_posts()): $list->the_post();
					global  $post;
					$link = get_post_meta( $post->ID, 'link', true );
					$target = get_post_meta( $post->ID, 'target', true );
							
							$output.='<li><a href="'.esc_attr( $link ).'" title="'.$post->post_title.'" target="'. esc_attr( $target ) .'">'.get_the_post_thumbnail($post->ID).'</a></li>';
						 endwhile; wp_reset_postdata();
	$output.='</ul>
					</div>
				</div>
			</div>';
			return $output;
	 }
	 add_shortcode('OurBrand','yt_our_brand_shortcode');
}